repos:
  - repo: https://github.com/adamchainz/django-upgrade
    rev: 1.18.0
    hooks:
    - id: django-upgrade
      args: [--target-version, "4.2"]

  - repo: https://github.com/asottile/pyupgrade
    rev: v3.16.0
    hooks:
    - id: pyupgrade


  - repo: https://github.com/ambv/black
    rev: 24.4.2
    hooks:
      - id: black
        files: ^.*\.py$

  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.6.0
    hooks:
      - id: check-added-large-files
      - id: check-merge-conflict
      - id: debug-statements

  - repo: https://github.com/PyCQA/isort
    rev: 5.13.2
    hooks:
    -   id: isort
        files: ^.*\.py$
        args: ["--profile", "black"]

  - repo: https://github.com/PyCQA/flake8
    rev: 7.0.0
    hooks:
    -   id: flake8
        files: ^.*\.py$

  - repo: https://github.com/rtts/djhtml
    rev: 3.0.6
    hooks:
    -   id: djhtml
        args: [--tabwidth=2]
        files: ^.*\.html$
    -   id: djjs
    -   id: djcss

  - repo: https://gitlab.com/kapt/open-source/git-hooks
    rev: v1.2.0
    hooks:
    -   id: commit-msg
        always_run: true
